=== modified file 'shell.py'
--- shell.py	2006-06-23 18:19:25 +0000
+++ shell.py	2006-06-23 18:26:33 +0000
@@ -19,6 +19,7 @@
 from itertools import chain
 import os
 import readline
+import shlex
 import string
 import sys
 
@@ -159,7 +160,7 @@
         self.default("help "+line)
 
     def default(self, line):
-        args = line.split()
+        args = shlex.split(line)
         alias_args = get_alias(args[0])
         if alias_args is not None:
             args[0] = alias_args.pop(0)
@@ -292,7 +293,7 @@
 
 
 def too_complicated(line):
-    for char in '|<>"\"*?':
+    for char in '|<>*?':
         if char in line:
             return True
     return False

